PLaSK library

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj > Struct Template Reference

`#include <plask/filters/base.hpp>`

Inheritance diagram for plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >:
[legend]
Collaboration diagram for plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >:
[legend]

## Classes
struct | Region

## Public Types
typedef Primitive< OutputSpaceType::DIM >::Box | OutBox
typedef Vec< OutputSpaceType::DIM, double > | OutVec

## Public Member Functions
const Region * | findRegion (const OutVec &p) const
std::size_t | findRegionIndex (const OutVec &p) const
template<typename Predicate >
const Region * | findRegion (const OutVec &p, Predicate pred) const
| Find region that has `p` inside bounding-box and fulfill predicate `pred`.
template<typename Predicate >
std::size_t | findRegionIndex (const OutVec &p, Predicate pred) const
void | calcConnectionParameters () override
| This is called before request for data, but after setup inputObj, outputObj and path fields.
Public Member Functions inherited from plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >
| DataSourceWithReceiver ()
| ~DataSourceWithReceiver ()
void | disconnect ()
void | setPath (const PathHints *path)
const PathHints * | getPath () const
void | inOrOutWasChanged (GeometryObject::Event &e)
void | connect (InputGeomObj &inputObj, OutputGeomObj &outputObj, const PathHints *path=nullptr)

## Public Attributes
std::vector< Region > | regions
Public Attributes inherited from plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >
ReceiverFor< PropertyT, InputSpaceType > | in

## Additional Inherited Members
Protected Attributes inherited from plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >
const InputGeomObj * | inputObj
const OutputGeomObj * | outputObj
plask::optional< PathHints > | path
boost::signals2::connection | geomConnectionIn
boost::signals2::connection | geomConnectionOut

## Detailed Description

template<typename PropertyT, typename OutputSpaceType, typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>
struct plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >

Definition at line 242 of file base.hpp.

## Member Typedef Documentation

## ◆ OutBox

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

typedef Primitive<OutputSpaceType::DIM>::Box plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::OutBox

Definition at line 244 of file base.hpp.

## ◆ OutVec

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

typedef Vec<OutputSpaceType::DIM, double> plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::OutVec

Definition at line 245 of file base.hpp.

## Member Function Documentation

## ◆ calcConnectionParameters()

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

void plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::calcConnectionParameters | ( |  | ) |
| inline override virtual

This is called before request for data, but after setup inputObj, outputObj and path fields.

It can calculate trasnaltion and so needed for quick operator() calculation.

Implements plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >.

Definition at line 292 of file base.hpp.

## ◆ findRegion() [1/2]

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

const Region * plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::findRegion | ( | const OutVec & | p | ) | const
| inline

Definition at line 262 of file base.hpp.

## ◆ findRegion() [2/2]

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>
template<typename Predicate >

const Region * plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::findRegion | ( | const OutVec & | p,
|  | Predicate | pred
| ) |  | const
| inline

Find region that has `p` inside bounding-box and fulfill predicate `pred`.

Definition at line 278 of file base.hpp.

## ◆ findRegionIndex() [1/2]

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

std::size_t plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::findRegionIndex | ( | const OutVec & | p | ) | const
| inline

Definition at line 268 of file base.hpp.

## ◆ findRegionIndex() [2/2]

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>
template<typename Predicate >

std::size_t plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::findRegionIndex | ( | const OutVec & | p,
|  | Predicate | pred
| ) |  | const
| inline

Definition at line 286 of file base.hpp.

## Member Data Documentation

## ◆ regions

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

std::vector<Region> plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::regions

Definition at line 260 of file base.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/base.hpp